Show / Hide Table of Contents

# Class OpenIddictServerEvents.ProcessSignInContext

Represents an event called when processing a sign-in response.

##### Inheritance

System.Object
OpenIddictServerEvents.BaseContext
OpenIddictServerEvents.BaseRequestContext
OpenIddictServerEvents.BaseValidatingContext
OpenIddictServerEvents.BaseValidatingTicketContext
OpenIddictServerEvents.ProcessSignInContext

##### Inherited Members

OpenIddictServerEvents.BaseValidatingTicketContext.Principal
OpenIddictServerEvents.BaseValidatingTicketContext.ClientId
OpenIddictServerEvents.BaseValidatingContext.IsRejected
OpenIddictServerEvents.BaseValidatingContext.Error
OpenIddictServerEvents.BaseValidatingContext.ErrorDescription
OpenIddictServerEvents.BaseValidatingContext.ErrorUri
OpenIddictServerEvents.BaseValidatingContext.Reject(String, String, String)
OpenIddictServerEvents.BaseRequestContext.IsRequestHandled
OpenIddictServerEvents.BaseRequestContext.IsRequestSkipped
OpenIddictServerEvents.BaseRequestContext.HandleRequest()
OpenIddictServerEvents.BaseRequestContext.SkipRequest()
OpenIddictServerEvents.BaseContext.Transaction
OpenIddictServerEvents.BaseContext.Issuer
OpenIddictServerEvents.BaseContext.EndpointType
OpenIddictServerEvents.BaseContext.Logger
OpenIddictServerEvents.BaseContext.Options
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Server

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class ProcessSignInContext : OpenIddictServerEvents.BaseValidatingTicketContext

### Constructors

#### ProcessSignInContext(OpenIddictServerTransaction)

Creates a new instance of the OpenIddictServerEvents.ProcessSignInContext class.

##### Declaration

    public ProcessSignInContext(OpenIddictServerTransaction transaction)

##### Parameters

Type | Name | Description
--- | --- | ---
OpenIddictServerTransaction | transaction |

### Properties

#### AccessToken

Gets or sets the generated access token, if applicable. The access token will only be returned if IncludeAccessToken is set to `true`.

##### Declaration

    public string AccessToken { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### AccessTokenPrincipal

Gets or sets the principal containing the claims that will be used to create the access token, if applicable.

##### Declaration

    public ClaimsPrincipal? AccessTokenPrincipal { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<ClaimsPrincipal> |

#### AuthorizationCode

Gets or sets the generated authorization code, if applicable. The authorization code will only be returned if IncludeAuthorizationCode is set to `true`.

##### Declaration

    public string AuthorizationCode { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### AuthorizationCodePrincipal

Gets or sets the principal containing the claims that will be used to create the authorization code, if applicable.

##### Declaration

    public ClaimsPrincipal? AuthorizationCodePrincipal { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<ClaimsPrincipal> |

#### DeviceCode

Gets or sets the generated device code, if applicable. The device code will only be returned if IncludeDeviceCode is set to `true`.

##### Declaration

    public string DeviceCode { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### DeviceCodePrincipal

Gets or sets the principal containing the claims that will be used to create the device code, if applicable.

##### Declaration

    public ClaimsPrincipal? DeviceCodePrincipal { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<ClaimsPrincipal> |

#### GenerateAccessToken

Gets or sets a boolean indicating whether an access token should be generated (and optionally returned to the client). Note: overriding the value of this property is generally not recommended, except when dealing with non-standard clients.

##### Declaration

    public bool GenerateAccessToken { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### GenerateAuthorizationCode

Gets or sets a boolean indicating whether an authorization code should be generated (and optionally returned to the client). Note: overriding the value of this property is generally not recommended, except when dealing with non-standard clients.

##### Declaration

    public bool GenerateAuthorizationCode { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### GenerateDeviceCode

Gets or sets a boolean indicating whether a device code should be generated (and optionally returned to the client). Note: overriding the value of this property is generally not recommended, except when dealing with non-standard clients.

##### Declaration

    public bool GenerateDeviceCode { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### GenerateIdentityToken

Gets or sets a boolean indicating whether an identity token should be generated (and optionally returned to the client). Note: overriding the value of this property is generally not recommended, except when dealing with non-standard clients.

##### Declaration

    public bool GenerateIdentityToken { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### GenerateRefreshToken

Gets or sets a boolean indicating whether a refresh token should be generated (and optionally returned to the client). Note: overriding the value of this property is generally not recommended, except when dealing with non-standard clients.

##### Declaration

    public bool GenerateRefreshToken { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### GenerateUserCode

Gets or sets a boolean indicating whether a user code should be generated (and optionally returned to the client). Note: overriding the value of this property is generally not recommended, except when dealing with non-standard clients.

##### Declaration

    public bool GenerateUserCode { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### IdentityToken

Gets or sets the generated identity token, if applicable. The identity token will only be returned if IncludeIdentityToken is set to `true`.

##### Declaration

    public string IdentityToken { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### IdentityTokenPrincipal

Gets or sets the principal containing the claims that will be used to create the identity token, if applicable.

##### Declaration

    public ClaimsPrincipal? IdentityTokenPrincipal { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<ClaimsPrincipal> |

#### IncludeAccessToken

Gets or sets a boolean indicating whether the generated access token should be returned to the client application as part of the response. Note: overriding the value of this property is generally not recommended, except when dealing with non-standard clients.

##### Declaration

    public bool IncludeAccessToken { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### IncludeAuthorizationCode

Gets or sets a boolean indicating whether the generated authorization code should be returned to the client application as part of the response. Note: overriding the value of this property is generally not recommended, except when dealing with non-standard clients.

##### Declaration

    public bool IncludeAuthorizationCode { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### IncludeDeviceCode

Gets or sets a boolean indicating whether the generated device code should be returned to the client application as part of the response. Note: overriding the value of this property is generally not recommended, except when dealing with non-standard clients.

##### Declaration

    public bool IncludeDeviceCode { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### IncludeIdentityToken

Gets or sets a boolean indicating whether the generated identity token should be returned to the client application as part of the response. Note: overriding the value of this property is generally not recommended, except when dealing with non-standard clients.

##### Declaration

    public bool IncludeIdentityToken { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### IncludeRefreshToken

Gets or sets a boolean indicating whether the generated refresh token should be returned to the client application as part of the response. Note: overriding the value of this property is generally not recommended, except when dealing with non-standard clients.

##### Declaration

    public bool IncludeRefreshToken { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### IncludeUserCode

Gets or sets a boolean indicating whether the generated user code should be returned to the client application as part of the response. Note: overriding the value of this property is generally not recommended, except when dealing with non-standard clients.

##### Declaration

    public bool IncludeUserCode { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### RefreshToken

Gets or sets the generated refresh token, if applicable. The refresh token will only be returned if IncludeRefreshToken is set to `true`.

##### Declaration

    public string RefreshToken { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### RefreshTokenPrincipal

Gets or sets the principal containing the claims that will be used to create the refresh token, if applicable.

##### Declaration

    public ClaimsPrincipal? RefreshTokenPrincipal { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<ClaimsPrincipal> |

#### Request

Gets or sets the request.

##### Declaration

    public OpenIddictRequest Request { get; set; }

##### Property Value

Type | Description
--- | ---
OpenIddictRequest |

#### Response

Gets or sets the response.

##### Declaration

    public OpenIddictResponse Response { get; set; }

##### Property Value

Type | Description
--- | ---
OpenIddictResponse |

#### UserCode

Gets or sets the generated user code, if applicable. The user code will only be returned if IncludeUserCode is set to `true`.

##### Declaration

    public string UserCode { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### UserCodePrincipal

Gets or sets the principal containing the claims that will be used to create the user code, if applicable.

##### Declaration

    public ClaimsPrincipal? UserCodePrincipal { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<ClaimsPrincipal> |